---
title: "오디오 파일 업로드 URL 발급"
description: "POST /v2/reference-video/create의 referenceAudioMediaIds에 사용할 오디오 클립을 업로드하는 1단계입니다. 흐름은 이미지와 같습니다. 파일의 Content-Type(audio/mpeg 또는 audio/wav)을 지정해 바이트를 uploadUrl에 PUT한 다음 POST /v2/media/audio/register를 호출하세요."
canonical: "https://platform.pixai.art/ko/docs/api-v2/media/getAudioUploadUrl"
last-updated: "2026-11-02"
---

# 오디오 파일 업로드 URL 발급

`POST /v2/reference-video/create`의 `referenceAudioMediaIds`에 사용할 오디오 클립을 업로드하는 1단계입니다. 흐름은 이미지와 같습니다. 파일의 `Content-Type`(`audio/mpeg` 또는 `audio/wav`)을 지정해 바이트를 `uploadUrl`에 `PUT`한 다음 `POST /v2/media/audio/register`를 호출하세요.



WAV와 MP3만 지원하며 클립당 15 MiB 미만이어야 합니다. 길이 제한은 동영상 모델에 따라 다르며, 업로드 시가 아니라 동영상 작업 생성 시 검사됩니다.

## POST https://api.pixai.art/v2/media/audio/upload-url

Authentication: send your API key as `Authorization: Bearer <API key>`.

Machine-readable OpenAPI spec: https://platform.pixai.art/openapi-spec.v2.ko.yaml

### Request body (`application/json`)

- `isEphemeral` (boolean, optional)
  파일을 단기 생성 입력용으로 표시합니다. 임시(ephemeral) 파일은 비공개이며, URL은 서명되어 있고 만료됩니다.
  Default: `false`.

Example:

```json
{}
```

### Responses

- `200`
  업로드 대상.
  Body fields:
  - `uploadUrl` (string, required)
    사전 서명된 URL입니다. 원시 파일 바이트를 파일의 `Content-Type`과 함께 이 URL에 `PUT`하세요.
  - `externalId` (string, required)
    업로드 후 대응하는 `register` 엔드포인트에 전달하세요.
- `401`
  `UNAUTHORIZED`: API 키를 보내지 않았습니다. 잘못되었거나 폐기되었거나 만료된 키에는 숫자 `code`를 가진 `{"message": "invalid token", "code": 40100001}`이 반환됩니다.
